# Create a new refund demand Endpoint: POST /v2/refund_demands Version: 1.0 Security: bearerAuth ## Query parameters: - `fields` (string) sparse fieldsets: fields[TYPE]=field1,field2,... - `include` (string) list of included related resources ## Header parameters: - `User-Agent` (string, required) The name and version of the client making the request Example: "CHOAM EPT Client v10191 (Ruby Client v3)" ## Response 201 fields (application/vnd.api+json): - `data` (object) A RefundDemand instance signifies an attempt to refund a PaymentDemand. Example: {"attributes":{"amount_cents":1000,"amount_currency":"USD","created_at":"2024-06-06T21:48:33.382755Z","reason":"duplicate_charge","state":"succeeded","updated_at":"2024-06-06T21:48:33.382755Z"},"id":"21107383-69fe-42a5-bafd-3c594788b2bc","links":{},"relationships":{},"type":"refund_demands"} - `data.attributes` (object) Members of the attributes object (attributes) represent information about the resource object in which it's defined. Example: {"amount_cents":1000,"amount_currency":"USD","created_at":"2024-06-06T21:48:33.382755Z","reason":"duplicate_charge","state":"succeeded","updated_at":"2024-06-06T21:48:33.382755Z"} - `data.attributes.amount_cents` (integer) The amount of the refund demand in cents Example: 1000 - `data.attributes.amount_currency` (string) The currency of the refund demand (ISO 4217) Example: "USD" - `data.attributes.created_at` (string) Example: "2024-06-06T21:48:33.382755Z" - `data.attributes.reason` (string) Enum: "service_not_delivered", "duplicate_charge", "unauthorized_transaction", "technical_issue", "customer_canceled", "dissatisfied_experience", "compliance_issue" - `data.attributes.state` (string) Enum: "pending", "processing", "succeeded", "failed", "errored" - `data.attributes.updated_at` (string) Example: "2024-06-06T21:48:33.382755Z" - `data.id` (string, required) [resource object identifier](https://jsonapi.org/format/#document-resource-object-identification) - `data.links` (object, required) The links of the type Example: {} - `data.relationships` (object) The relationships of the type Example: {} - `data.type` (string, required) [resource object type](https://jsonapi.org/format/#document-resource-object-identification) Enum: "refund_demands" - `jsonapi` (object) An object describing the server's implementation - `jsonapi.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `jsonapi.meta.authors` (array) A list of all the authors of this work - `jsonapi.meta.copyright` (string) - `jsonapi.version` (string) - `links` (object, required) May contain self, related, or pagination links (first, last, prev, next). - `links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. ## Response 422 fields (application/vnd.api+json): - `errors` (array, required) - `errors.code` (string) An application-specific error code, expressed as a string value. - `errors.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `errors.id` (string) A unique identifier for this particular occurrence of the problem. - `errors.links` (object) May contain self, related, or pagination links (first, last, prev, next). - `errors.links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `errors.meta.authors` (array) A list of all the authors of this work - `errors.meta.copyright` (string) - `errors.source` (object) - `errors.source.parameter` (string) A string indicating which query parameter caused the error. - `errors.source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. /data for a primary data object, or /data/attributes/title for a specific attribute]. - `errors.status` (string) The HTTP status code applicable to this problem, expressed as a string value. - `errors.title` (string) A short, human-readable summary of the problem. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - `jsonapi` (object) An object describing the server's implementation - `jsonapi.version` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 406 fields ## Response 409 fields ## Response 415 fields